Get Ip Space
Get an IP Block.
Retrieves the specified IP Block.
Request
URI
GET
https://{api_host}/cloudapi/v1/ipSpaces/{ipSpaceId}
COPY
Path Parameters
string
ipSpaceId
Required
ipSpaceId
Responses
200
OK
Returns
IpAddressSpace
of type(s)
application/json;version=9.1.0
This response body class contains all of the following:
NetworkingEntityStatus ,
InlineIpAddressSpace1
{
"status": "string",
"id": "urn:vcloud:ipSpace:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "string",
"description": "string",
"internalScopeCidrBlocks": [
{
"id": "string",
"name": "string",
"cidr": "10.0.0.0/8"
}
],
"ipAddressRanges": [
{
"id": "string",
"startIpAddress": "string",
"endIpAddress": "string"
}
],
"reservedIpAddressRanges": [
{
"id": "string",
"startIpAddress": "string",
"endIpAddress": "string"
}
],
"backingId": "string",
"isImportedIpBlock": false,
"externalScopeCidr": "10.0.0.0/8",
"regionRef": {
"name": "string",
"id": "string"
},
"defaultQuota": {
"maxIpCount": 0,
"maxCidrCount": 0,
"maxSubnetSize": 24
},
"subnetExclusive": false,
"dedicatedDistributedVlanConnectionRef": {
"name": "string",
"id": "string"
},
"providerVisibilityOnly": false
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/ipSpaces/{ipSpaceId}
Availability
Added in 9.0.0
Ip Address Spaces Operations
GET
Get Ip Spaces
POST
Create Ip Space
GET
Get Ip Space
PUT
Update Ip Space
DELETE
Delete Ip Space
GET
Get Ip Space Utilization Summary
GET
Get Ip Space Org Quotas
GET
Get Ip Space Org Quota
PUT
Update Ip Space Org Quota
GET
Get Ip Space Org Utilizations
GET
Get Ip Space Associations
POST
Create Ip Space Association
GET
Get Ip Space Association
DELETE
Delete Ip Space Association